Create a match (v2)
POST/v2/matches
POST
/v2/matches
const url = 'https://api.ligr.live/rest/v2/matches';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","venueId":1,"competitionId":1,"date":"2026-04-15T12:00:00Z","competitorsType":"singles","competitors":[{"entityId":1,"entityType":"team","meta":{"isHome":true}}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v2/matches \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "venueId": 1, "competitionId": 1, "date": "2026-04-15T12:00:00Z", "competitorsType": "singles", "competitors": [ { "entityId": 1, "entityType": "team", "meta": { "isHome": true } } ] }'Create a new match for the organization.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
Match name
string
venueId
required
Entity identifier
integer format: int32
competitionId
required
Entity identifier
integer format: int32
date
required
string format: date-time
competitorsType
required
The match format: singles, doubles, teams or group. It is one value for the match.
Each row in competitors has its own entityType. For example, a doubles match has
competitorsType: doubles and four entityType: player rows. A group match has player rows.
string
competitors
required
Array<object>
object
entityId
required
Entity identifier
integer format: int32
entityType
required
The kind of one competitor row: team or player. A teams match has team rows.
A singles, doubles or group match has player rows.
string
meta
object
isHome
required
boolean
Responses
Section titled “Responses”Media typeapplication/json
object
overlays
required
Array<object>
object
streams
required
Array<object>
object
name
required
string
id
required
number format: double
id
required
number format: double
Examplegenerated
{ "overlays": [ { "name": "example", "key": "example", "id": 1 } ], "streams": [ { "name": "example", "id": 1 } ], "id": 1}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Match not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}